LibraryTrackListScoredSearchResponse
Scored search results containing Library Tracks
items object[]required
The list of Library Tracks in this page of results.
track objectrequired
A track in your Cyanite Library. This represents a recording that has been uploaded to Cyanite for analysis.
The unique identifier of the track in your Cyanite Library.
Possible values: Value must match regular expression ^libtr_
libtr_01KFGMPCN97HQYHQR6The title of the track.
Summer VibesexternalId objectrequired
An ID external to Cyanite that uniquely identifies the track in
your records. You can use this field to maintain a mapping
between Cyanite Library Track ids and your own ID space.
- string
- null
A number between 0 and 1 representing the quality of the search result
Possible values: >= 0 and <= 1
segmentScores object
The highest-scoring segments of the track. Only present when
items.segmentScores is requested via the expand query parameter.
topScoringSegments object[]required
The highest-scoring time windows of the track, most relevant first.
The start of the segment, in seconds from the start of the track.
10The end of the segment, in seconds from the start of the track.
15A number between 0 and 1 representing how well this segment matched the query.
Possible values: >= 0 and <= 1
0.92pageInfo objectrequired
Pagination information for navigating through results.
nextCursor object
A cursor to retrieve the next page of results. If null, there are no
more results to retrieve.
- string
- null
previousCursor object
The cursor that was used to retrieve this page of results. Can be used to re-fetch the current page.
- string
- null
{
"items": [
{
"track": {
"id": "libtr_01KFGMPCN97HQYHQR6",
"title": "Summer Vibes",
"externalId": "my-track-123"
},
"score": 0,
"segmentScores": {
"topScoringSegments": [
{
"startTime": 10,
"endTime": 15,
"score": 0.92
}
]
}
}
],
"pageInfo": {
"nextCursor": "gAAAAABn...",
"previousCursor": "gAAAAABn..."
}
}